Namespaces | Functions
MWAWDebug.cxx File Reference
`#include <set>`
`#include <librevenge/librevenge.h>`
`#include <librevenge-stream/librevenge-stream.h>`
`#include "libmwaw_internal.hxx"`
`#include "MWAWDebug.hxx"`
`#include <iomanip>`
`#include <iostream>`

## Namespaces
| libmwaw
| namespace used to regroup all libwpd functions, enumerations which we have redefined for internal usage
| libmwaw::Debug
| debugging tools

## Functions
bool | libmwaw::Debug::dumpFile (librevenge::RVNGBinaryData &data, char const *fileName)
| a debug function to store in a datafile in the current directory WARNING: this function erase the file fileName if it exists (if debug_with_files is not defined, does nothing) More...
std::string | libmwaw::Debug::flattenFileName (std::string const &name)
| returns a file name from an ole/... name More...